<?php
// 'category' object
class Category{

	// database connection and table name
	private $conn;
	private $table_name = "categories";

	// object properties
	public $id;
	public $name;
	public $description;

	// constructor
	public function __construct($db){
		$this->conn = $db;
	}

	// read category name by category id
	function readCategoryNameById(){

		// select single record query
		$query = "SELECT name FROM categories WHERE id = ? limit 0,1";

		// prepare query statement
		$stmt = $this->conn->prepare($query);

		// sanitize
		$this->id=htmlspecialchars(strip_tags($this->id));

		// bind selected record id
		$stmt->bindParam(1, $this->id);

		// execute query
		$stmt->execute();

		// read row
		$row = $stmt->fetch(PDO::FETCH_ASSOC);

		// set value to 'category_name' variable
		$category_name=$row['name'];

		return $category_name;
	}

    // read all categories without limit clause, used drop-down list
    function readWithoutPaging(){

        // select all data
        $query = "SELECT id, name, description
                FROM " . $this->table_name . "
                ORDER BY name";

        // prepare query statement
        $stmt = $this->conn->prepare( $query );

        // execute query
        $stmt->execute();

        // return values
        return $stmt;
    }
}
?>
